Bridged Call verses Point-to-Point Call

Hello all,
I am currently in the middle of rolling out a Tandberg/Codian video conferencing solution, using Codian MCU, Codian IP Gateway, Codian ISDN Gateway and Tandberg endpoints. And I am experiencing video quality issues when on bridged calls (calls connecting through the MCU), I can see the video quality is not as crisp and there is a delay in motion compare to point to point calls (direct calls without MCU), video quality is much crisper and there is no delay in motion on point to point calls.
- Has anyone run into this type of issue with the similar setup ?
- Can someone help explain why this type of issue happens ?
- Any ideas on how to go about fixing this type of issue ?
I appreciate any inputs / suggestions !!!
Danny

Are you talking about using overlapping networks? if so you can try using nat.

Similar Messages

  • Audio Blank during PSTN Bridge call

    Hi All,
    Our users are joining a PSTN Bridge call which requires them to be logged in continuosly for 5-6 hours. At times the call goes blank and users have to relogin the bridge again. Given below is the call flow where the User from Cluster 1 dials the number which in turn goes to Cluster 2 where the PSTN Bridge is present
    Cluster 1
    IP Phone --> PSTN Bridge Number -->CUCM--> MGCP Gateway --> Service Provider
    Cluster 2
    Service Provider --> MGCP Gateway --> CUCM --> Avaya Aura Conferencing Bridge
    I have checked the following,
    1) The MGCP PRI in cluster 1 and 2 have not fluctuated
    2) The phone has not lost connectivity with CUCM
    Any thoughts on what else needs to be checked to isolate this issue.

    Are you working with Office365 and an ACP (Audio Conferencing Provider)?  If so, you could call in with a PSTN phone using the phone number the ACP provided.  If you use a Lync approved phone, you could potentially connect as well, but not
    by dialing the number of the meeting, or any other number as this would be considered enterprise voice.  You would typically connect by using your Lync client and the better together experience to join the meeting.  In this scenario, a USB device
    might be better and cheaper than an IP phone.
    Please remember, if you see a post that helped you please click "Vote As Helpful" and if it answered your question please click "Mark As Answer".
    SWC Unified Communications
    This forum post is based upon my personal experience and does not necessarily reflect the opinion or view of Microsoft, its employees, or other MVPs.

  • Using TMS to specify what window a particular participant lives in during a 7+1 bridge call

    We have a weekly meeting that occurs where we would like to have the main board room as the main window in our bridge call. Can we configure that setting inside of TMS? I know we can do it in the bridge but we would like to do this from TMS.
    Thanks
    RB

    I am not aware that you can do that on the TMS. As you said, it should be possible to
    do on a Codian Style MCU with preconfigured participants. This is what I would try.
    Maybe someone has an other idea.
    Besides that you can always think of filing a feature request.

  • [script] create_ap: Create a NATed or Bridged WiFi Access Point

    This script use hostapd + dnsmasq + iptables to create a NATed Access Point OR hostapd + brctl + dhclient to create a bridged Access Point.
    The default behavior is a NATed Access Point.
    updated script will be here: https://github.com/oblique/create_ap and http://git.2f30.org/create_ap/
    Examples
    No passphrase (open network):
    ./create_ap wlan0 eth0 MyAccessPoint
    OR
    echo -e "MyAccessPoint" | ./create_ap wlan0 eth0
    WPA + WPA2 passphrase:
    ./create_ap wlan0 eth0 MyAccessPoint MyPassPhrase
    OR
    echo -e "MyAccessPoint\nMyPassPhrase" | ./create_ap wlan0 eth0
    AP without Internet sharing:
    ./create_ap -n wlan0 MyAccessPoint MyPassPhrase
    Bridged Internet sharing:
    ./create_ap -m bridge wlan0 eth0 MyAccessPoint MyPassPhrase
    Internet sharing from the same WiFi interface:
    ./create_ap wlan0 wlan0 MyAccessPoint MyPassPhrase
    Usage
    Usage: create_ap [options] <wifi-interface> [<interface-with-internet>] [<access-point-name> [<passphrase>]]
    Options:
    -h, --help Show this help
    -c <channel> Channel number (default: 1)
    -w <WPA version> Use 1 for WPA, use 2 for WPA2, use 1+2 for both (default: 1+2)
    -n Disable Internet sharing (if you use this, don't pass
    the <interface-with-internet> argument)
    -m <method> Method for Internet sharing.
    Use: 'nat' for NAT (default)
    'bridge' for bridging
    'none' for no Internet sharing (equivalent to -n)
    --hidden Make the Access Point hidden (do not broadcast the SSID)
    --ieee80211n Enable IEEE 802.11n (HT)
    --ht_capab <HT> HT capabilities (default: [HT40+])
    --driver Choose your WiFi adapter driver (default: nl80211)
    --no-virt Do not create virtual interface
    Non-Bridging Options:
    -g <gateway> IPv4 Gateway for the Access Point (default: 192.168.12.1)
    -d DNS server will take into account /etc/hosts
    Useful informations:
    * If you're not using the --no-virt option, then you can create an AP with the same
    interface you are getting your Internet connection.
    * You can pass your SSID and password through pipe or through arguments (see examples).
    Examples:
    create_ap wlan0 eth0 MyAccessPoint MyPassPhrase
    echo -e 'MyAccessPoint\nMyPassPhrase' | create_ap wlan0 eth0
    create_ap wlan0 eth0 MyAccessPoint
    echo 'MyAccessPoint' | create_ap wlan0 eth0
    create_ap wlan0 wlan0 MyAccessPoint MyPassPhrase
    create_ap -n wlan0 MyAccessPoint MyPassPhrase
    create_ap -m bridge wlan0 eth0 MyAccessPoint MyPassPhrase
    create_ap --driver rtl871xdrv wlan0 eth0 MyAccessPoint MyPassPhrase
    Code
    #!/bin/bash
    # general dependencies:
    # bash (to run this script)
    # util-linux (for getopt)
    # hostapd
    # iproute2
    # iw
    # iwconfig (you only need this if 'iw' can not recognize your adapter)
    # haveged (optional)
    # dependencies for 'nat' or 'none' Internet sharing method
    # dnsmasq
    # iptables
    # dependencies for 'bridge' Internet sharing method
    # bridge-utils
    usage() {
    echo "Usage: $(basename $0) [options] <wifi-interface> [<interface-with-internet>] [<access-point-name> [<passphrase>]]"
    echo
    echo "Options:"
    echo " -h, --help Show this help"
    echo " -c <channel> Channel number (default: 1)"
    echo " -w <WPA version> Use 1 for WPA, use 2 for WPA2, use 1+2 for both (default: 1+2)"
    echo " -n Disable Internet sharing (if you use this, don't pass"
    echo " the <interface-with-internet> argument)"
    echo " -m <method> Method for Internet sharing."
    echo " Use: 'nat' for NAT (default)"
    echo " 'bridge' for bridging"
    echo " 'none' for no Internet sharing (equivalent to -n)"
    echo " --hidden Make the Access Point hidden (do not broadcast the SSID)"
    echo " --ieee80211n Enable IEEE 802.11n (HT)"
    echo " --ht_capab <HT> HT capabilities (default: [HT40+])"
    echo " --driver Choose your WiFi adapter driver (default: nl80211)"
    echo " --no-virt Do not create virtual interface"
    echo
    echo "Non-Bridging Options:"
    echo " -g <gateway> IPv4 Gateway for the Access Point (default: 192.168.12.1)"
    echo " -d DNS server will take into account /etc/hosts"
    echo
    echo "Useful informations:"
    echo " * If you're not using the --no-virt option, then you can create an AP with the same"
    echo " interface you are getting your Internet connection."
    echo " * You can pass your SSID and password through pipe or through arguments (see examples)."
    echo
    echo "Examples:"
    echo " $(basename $0) wlan0 eth0 MyAccessPoint MyPassPhrase"
    echo " echo -e 'MyAccessPoint\nMyPassPhrase' | $(basename $0) wlan0 eth0"
    echo " $(basename $0) wlan0 eth0 MyAccessPoint"
    echo " echo 'MyAccessPoint' | $(basename $0) wlan0 eth0"
    echo " $(basename $0) wlan0 wlan0 MyAccessPoint MyPassPhrase"
    echo " $(basename $0) -n wlan0 MyAccessPoint MyPassPhrase"
    echo " $(basename $0) -m bridge wlan0 eth0 MyAccessPoint MyPassPhrase"
    echo " $(basename $0) --driver rtl871xdrv wlan0 eth0 MyAccessPoint MyPassPhrase"
    # it takes 2 arguments
    # returns:
    # 0 if v1 (1st argument) and v2 (2nd argument) are the same
    # 1 if v1 is less than v2
    # 2 if v1 is greater than v2
    version_cmp() {
    [[ ! $1 =~ ^[0-9]+(\.[0-9]+)*$ ]] && die "Wrong version format!"
    [[ ! $2 =~ ^[0-9]+(\.[0-9]+)*$ ]] && die "Wrong version format!"
    V1=( $(echo $1 | tr '.' ' ') )
    V2=( $(echo $2 | tr '.' ' ') )
    VN=${#V1[@]}
    [[ $VN -lt ${#V2[@]} ]] && VN=${#V2[@]}
    for ((x = 0; x < $VN; x++)); do
    [[ ${V1[x]} -lt ${V2[x]} ]] && return 1
    [[ ${V1[x]} -gt ${V2[x]} ]] && return 2
    done
    return 0
    USE_IWCONFIG=0
    is_wifi_interface() {
    which iw > /dev/null 2>&1 && iw dev $1 info > /dev/null 2>&1 && return 0
    if which iwconfig > /dev/null 2>&1 && iwconfig $1 > /dev/null 2>&1; then
    USE_IWCONFIG=1
    return 0
    fi
    return 1
    get_phy_device() {
    for x in /sys/class/ieee80211/*; do
    [[ ! -d "$x" ]] && continue
    if [[ "${x##*/}" = "$1" ]]; then
    echo $1
    return 0
    elif [[ -e "$x/device/net/$1" ]]; then
    echo ${x##*/}
    return 0
    elif [[ -e "$x/device/net:$1" ]]; then
    echo ${x##*/}
    return 0
    fi
    done
    echo "Failed to get phy interface" >&2
    return 1
    get_adapter_info() {
    PHY=$(get_phy_device "$1")
    [[ $? -ne 0 ]] && return 1
    iw phy $PHY info
    can_have_sta_and_ap() {
    # iwconfig does not provide this information, assume false
    [[ $USE_IWCONFIG -eq 1 ]] && return 1
    get_adapter_info "$1" | grep -E '{.* managed.* AP.*}' > /dev/null 2>&1 && return 0
    get_adapter_info "$1" | grep -E '{.* AP.* managed.*}' > /dev/null 2>&1 && return 0
    return 1
    can_have_ap() {
    # iwconfig does not provide this information, assume true
    [[ $USE_IWCONFIG -eq 1 ]] && return 0
    get_adapter_info "$1" | grep -E '\* AP$' > /dev/null 2>&1 && return 0
    return 1
    can_transmit_to_channel() {
    IFACE=$1
    CHANNEL=$2
    if [[ $USE_IWCONFIG -eq 0 ]]; then
    CHANNEL_INFO=$(get_adapter_info ${IFACE} | grep "MHz \[${CHANNEL}\]")
    [[ -z "${CHANNEL_INFO}" ]] && return 1
    [[ "${CHANNEL_INFO}" == *no\ IR* ]] && return 1
    [[ "${CHANNEL_INFO}" == *disabled* ]] && return 1
    return 0
    else
    CHANNEL=$(printf '%02d' ${CHANNEL})
    CHANNEL_INFO=$(iwlist ${IFACE} channel | grep "Channel ${CHANNEL} :")
    [[ -z "${CHANNEL_INFO}" ]] && return 1
    return 0
    fi
    is_wifi_connected() {
    if [[ $USE_IWCONFIG -eq 0 ]]; then
    iw dev "$1" link 2>&1 | grep -E '^Connected to' > /dev/null 2>&1 && return 0
    else
    iwconfig "$1" 2>&1 | grep -E 'Access Point: [0-9a-fA-F]{2}:' > /dev/null 2>&1 && return 0
    fi
    return 1
    get_macaddr() {
    ip link show "$1" | grep ether | grep -Eo '([0-9a-f]{2}:){5}[0-9a-f]{2}[[:space:]]' | tr -d '[[:space:]]'
    get_avail_bridge() {
    for i in {0..100}; do
    curr_bridge=$(brctl show | grep "br$i" | cut -s -f1)
    if [[ -z $curr_bridge ]]; then
    echo "br$i"
    return
    fi
    done
    get_new_macaddr() {
    OLDMAC=$(get_macaddr "$1")
    for i in {20..255}; do
    NEWMAC="${OLDMAC%:*}:$(printf %02x $i)"
    (ip link | grep "ether ${NEWMAC}" > /dev/null 2>&1) || break
    done
    echo $NEWMAC
    ADDED_UNMANAGED=0
    NETWORKMANAGER_CONF=/etc/NetworkManager/NetworkManager.conf
    NM_OLDER_VERSION=1
    networkmanager_exists() {
    which nmcli > /dev/null 2>&1 || return 1
    NM_VER=$(nmcli -v | grep -m1 -oE '[0-9]+(\.[0-9]+)*\.[0-9]+')
    version_cmp $NM_VER 0.9.10
    if [[ $? -eq 1 ]]; then
    NM_OLDER_VERSION=1
    else
    NM_OLDER_VERSION=0
    fi
    return 0
    networkmanager_is_running() {
    networkmanager_exists || return 1
    if [[ $NM_OLDER_VERSION -eq 1 ]]; then
    NMCLI_OUT=$(nmcli -t -f RUNNING nm)
    else
    NMCLI_OUT=$(nmcli -t -f RUNNING g)
    fi
    [[ "$NMCLI_OUT" == "running" ]]
    networkmanager_iface_is_unmanaged() {
    nmcli -t -f DEVICE,STATE d | grep -E "^$1:unmanaged$" > /dev/null 2>&1
    ADDED_UNMANAGED=
    networkmanager_add_unmanaged() {
    networkmanager_exists || return 1
    [[ -d ${NETWORKMANAGER_CONF%/*} ]] || mkdir -p ${NETWORKMANAGER_CONF%/*}
    [[ -f ${NETWORKMANAGER_CONF} ]] || touch ${NETWORKMANAGER_CONF}
    if [[ $NM_OLDER_VERSION -eq 1 ]]; then
    if [[ -z "$2" ]]; then
    MAC=$(get_macaddr "$1")
    else
    MAC="$2"
    fi
    [[ -z "$MAC" ]] && return 1
    fi
    UNMANAGED=$(grep -m1 -Eo '^unmanaged-devices=[[:alnum:]:;,-]*' /etc/NetworkManager/NetworkManager.conf | sed 's/unmanaged-devices=//' | tr ';,' ' ')
    WAS_EMPTY=0
    [[ -z "$UNMANAGED" ]] && WAS_EMPTY=1
    for x in $UNMANAGED; do
    [[ $x == "mac:${MAC}" ]] && return 2
    [[ $NM_OLDER_VERSION -eq 0 && $x == "interface-name:${1}" ]] && return 2
    done
    if [[ $NM_OLDER_VERSION -eq 1 ]]; then
    UNMANAGED="${UNMANAGED} mac:${MAC}"
    else
    UNMANAGED="${UNMANAGED} interface-name:${1}"
    fi
    UNMANAGED=$(echo $UNMANAGED | sed -e 's/^ //')
    UNMANAGED="${UNMANAGED// /;}"
    UNMANAGED="unmanaged-devices=${UNMANAGED}"
    if ! grep -E '^\[keyfile\]' ${NETWORKMANAGER_CONF} > /dev/null 2>&1; then
    echo -e "\n\n[keyfile]\n${UNMANAGED}" >> ${NETWORKMANAGER_CONF}
    elif [[ $WAS_EMPTY -eq 1 ]]; then
    sed -e "s/^\(\[keyfile\].*\)$/\1\n${UNMANAGED}/" -i ${NETWORKMANAGER_CONF}
    else
    sed -e "s/^unmanaged-devices=.*/${UNMANAGED}/" -i ${NETWORKMANAGER_CONF}
    fi
    ADDED_UNMANAGED="${ADDED_UNMANAGED} ${1} "
    return 0
    networkmanager_rm_unmanaged() {
    networkmanager_exists || return 1
    [[ ! -f ${NETWORKMANAGER_CONF} ]] && return 1
    if [[ $NM_OLDER_VERSION -eq 1 ]]; then
    if [[ -z "$2" ]]; then
    MAC=$(get_macaddr "$1")
    else
    MAC="$2"
    fi
    [[ -z "$MAC" ]] && return 1
    fi
    UNMANAGED=$(grep -m1 -Eo '^unmanaged-devices=[[:alnum:]:;,-]*' /etc/NetworkManager/NetworkManager.conf | sed 's/unmanaged-devices=//' | tr ';,' ' ')
    [[ -z "$UNMANAGED" ]] && return 1
    [[ -n "$MAC" ]] && UNMANAGED=$(echo $UNMANAGED | sed -e "s/mac:${MAC}\( \|$\)//g")
    UNMANAGED=$(echo $UNMANAGED | sed -e "s/interface-name:${1}\( \|$\)//g")
    UNMANAGED=$(echo $UNMANAGED | sed -e 's/ $//')
    if [[ -z "$UNMANAGED" ]]; then
    sed -e "/^unmanaged-devices=.*/d" -i ${NETWORKMANAGER_CONF}
    else
    UNMANAGED="${UNMANAGED// /;}"
    UNMANAGED="unmanaged-devices=${UNMANAGED}"
    sed -e "s/^unmanaged-devices=.*/${UNMANAGED}/" -i ${NETWORKMANAGER_CONF}
    fi
    ADDED_UNMANAGED="${ADDED_UNMANAGED/ ${1} /}"
    return 0
    networkmanager_rm_unmanaged_if_needed() {
    [[ $ADDED_UNMANAGED =~ .*\ ${1}\ .* ]] && networkmanager_rm_unmanaged ${1}
    networkmanager_wait_until_unmanaged() {
    networkmanager_is_running || return 1
    while ! networkmanager_iface_is_unmanaged "$1"; do
    sleep 1
    done
    sleep 2
    return 0
    CHANNEL=1
    GATEWAY=192.168.12.1
    WPA_VERSION=1+2
    ETC_HOSTS=0
    HIDDEN=0
    SHARE_METHOD=nat
    IEEE80211N=0
    HT_CAPAB='[HT40+]'
    DRIVER=nl80211
    NO_VIRT=0
    CONFDIR=
    WIFI_IFACE=
    VWIFI_IFACE=
    INTERNET_IFACE=
    BRIDGE_IFACE=
    OLD_IP_FORWARD=
    OLD_BRIDGE_IPTABLES=
    OLD_MACADDR=
    cleanup() {
    trap "" SIGINT
    echo
    echo "Doing cleanup..."
    # exiting
    for x in $CONFDIR/*.pid; do
    # even if the $CONFDIR is empty, the for loop will assign
    # a value in $x. so we need to check if the value is a file
    [[ -f $x ]] && kill -9 $(cat $x)
    done
    rm -rf $CONFDIR
    if [[ "$SHARE_METHOD" != "none" ]]; then
    if [[ "$SHARE_METHOD" == "nat" ]]; then
    iptables -t nat -D POSTROUTING -o ${INTERNET_IFACE} -j MASQUERADE > /dev/null 2>&1
    iptables -D FORWARD -i ${WIFI_IFACE} -s ${GATEWAY%.*}.0/24 -j ACCEPT > /dev/null 2>&1
    iptables -D FORWARD -i ${INTERNET_IFACE} -d ${GATEWAY%.*}.0/24 -j ACCEPT > /dev/null 2>&1
    [[ -n $OLD_IP_FORWARD ]] && echo $OLD_IP_FORWARD > /proc/sys/net/ipv4/ip_forward
    elif [[ "$SHARE_METHOD" == "bridge" ]]; then
    ip link set down $BRIDGE_IFACE
    brctl delbr $BRIDGE_IFACE
    [[ -n $OLD_BRIDGE_IPTABLES ]] && echo $OLD_BRIDGE_IPTABLES > /proc/sys/net/bridge/bridge-nf-call-iptables
    fi
    fi
    if [[ "$SHARE_METHOD" != "bridge" ]]; then
    iptables -D INPUT -p tcp -m tcp --dport 53 -j ACCEPT > /dev/null 2>&1
    iptables -D INPUT -p udp -m udp --dport 53 -j ACCEPT > /dev/null 2>&1
    iptables -D INPUT -p udp -m udp --dport 67 -j ACCEPT > /dev/null 2>&1
    fi
    if [[ $NO_VIRT -eq 0 ]]; then
    if [[ -n $VWIFI_IFACE ]]; then
    ip link set down dev ${VWIFI_IFACE}
    ip addr flush ${VWIFI_IFACE}
    networkmanager_rm_unmanaged_if_needed ${VWIFI_IFACE} ${OLD_MACADDR}
    iw dev ${VWIFI_IFACE} del
    fi
    else
    ip link set down dev ${WIFI_IFACE}
    ip addr flush ${WIFI_IFACE}
    networkmanager_rm_unmanaged_if_needed ${WIFI_IFACE}
    fi
    die() {
    [[ -n "$1" ]] && echo -e "\nERROR: $1\n" >&2
    cleanup
    exit 1
    clean_exit() {
    cleanup
    exit 0
    # if the user press ctrl+c then execute die()
    trap "die" SIGINT
    ARGS=$(getopt -o hc:w:g:dnm: -l "help","hidden","ieee80211n","ht_capab:","driver:","no-virt" -n $(basename $0) -- "$@")
    [[ $? -ne 0 ]] && exit 1
    eval set -- "$ARGS"
    while :; do
    case "$1" in
    -h|--help)
    usage >&2
    exit 1
    --hidden)
    shift
    HIDDEN=1
    -c)
    shift
    CHANNEL="$1"
    shift
    -w)
    shift
    WPA_VERSION="$1"
    shift
    -g)
    shift
    GATEWAY="$1"
    shift
    -d)
    shift
    ETC_HOSTS=1
    -n)
    shift
    SHARE_METHOD=none
    -m)
    shift
    SHARE_METHOD="$1"
    shift
    --ieee80211n)
    shift
    IEEE80211N=1
    --ht_capab)
    shift
    HT_CAPAB="$1"
    shift
    --driver)
    shift
    DRIVER="$1"
    shift
    --no-virt)
    shift
    NO_VIRT=1
    shift
    break
    esac
    done
    if [[ $# -lt 1 ]]; then
    usage >&2
    exit 1
    fi
    if [[ $(id -u) -ne 0 ]]; then
    echo "You must run it as root." >&2
    exit 1
    fi
    WIFI_IFACE=$1
    if ! is_wifi_interface ${WIFI_IFACE}; then
    echo "ERROR: '${WIFI_IFACE}' is not a WiFi interface" >&2
    exit 1
    fi
    if ! can_have_ap ${WIFI_IFACE}; then
    echo "ERROR: Your adapter does not support AP (master) mode" >&2
    exit 1
    fi
    if ! can_have_sta_and_ap ${WIFI_IFACE}; then
    if is_wifi_connected ${WIFI_IFACE}; then
    echo "ERROR: Your adapter can not be connected to an AP and at the same time transmit as an AP" >&2
    exit 1
    elif [[ $NO_VIRT -eq 0 ]]; then
    echo "WARN: Your adapter does not fully support AP virtual interface, enabling --no-virt" >&2
    NO_VIRT=1
    fi
    fi
    if [[ "$SHARE_METHOD" != "nat" && "$SHARE_METHOD" != "bridge" && "$SHARE_METHOD" != "none" ]]; then
    echo "ERROR: Wrong Internet sharing method" >&2
    echo
    usage >&2
    exit 1
    fi
    if [[ "$SHARE_METHOD" == "bridge" ]]; then
    OLD_BRIDGE_IPTABLES=$(cat /proc/sys/net/bridge/bridge-nf-call-iptables)
    BRIDGE_IFACE=$(get_avail_bridge)
    if [[ -z $BRIDGE_IFACE ]]; then
    echo "ERROR: No availabe bridges < br100" >&2
    exit 1
    fi
    elif [[ "$SHARE_METHOD" == "nat" ]]; then
    OLD_IP_FORWARD=$(cat /proc/sys/net/ipv4/ip_forward)
    fi
    if [[ "$SHARE_METHOD" != "none" ]]; then
    MIN_REQUIRED_ARGS=2
    else
    MIN_REQUIRED_ARGS=1
    fi
    if [[ $# -gt $MIN_REQUIRED_ARGS ]]; then
    if [[ "$SHARE_METHOD" != "none" ]]; then
    if [[ $# -ne 3 && $# -ne 4 ]]; then
    usage >&2
    exit 1
    fi
    INTERNET_IFACE=$2
    SSID=$3
    PASSPHRASE=$4
    else
    if [[ $# -ne 2 && $# -ne 3 ]]; then
    usage >&2
    exit 1
    fi
    SSID=$2
    PASSPHRASE=$3
    fi
    else
    if [[ "$SHARE_METHOD" != "none" ]]; then
    if [[ $# -ne 2 ]]; then
    usage >&2
    exit 1
    fi
    INTERNET_IFACE=$2
    fi
    if tty -s; then
    read -p "SSID: " SSID
    while :; do
    read -p "Passphrase: " -s PASSPHRASE
    echo
    read -p "Retype passphrase: " -s PASSPHRASE2
    echo
    if [[ "$PASSPHRASE" != "$PASSPHRASE2" ]]; then
    echo "Passphrases do not match."
    else
    break
    fi
    done
    else
    read SSID
    read PASSPHRASE
    fi
    fi
    if [[ $NO_VIRT -eq 1 && "$WIFI_IFACE" == "$INTERNET_IFACE" ]]; then
    echo -n "ERROR: You can not share your connection from the same" >&2
    echo " interface if you are using --no-virt option." >&2
    exit 1
    fi
    CONFDIR=$(mktemp -d /tmp/create_ap.${WIFI_IFACE}.conf.XXXXXXXX)
    echo "Config dir: $CONFDIR"
    if [[ $NO_VIRT -eq 0 ]]; then
    VWIFI_IFACE=${WIFI_IFACE}ap
    # in NetworkManager 0.9.10 and above we can set the interface as unmanaged without
    # the need of MAC address, so we set it before we create the virtual interface.
    if networkmanager_is_running && [[ $NM_OLDER_VERSION -eq 0 ]]; then
    echo -n "Network Manager found, set $1 as unmanaged device... "
    networkmanager_add_unmanaged ${VWIFI_IFACE}
    # do not call networkmanager_wait_until_unmanaged because interface does not
    # exist yet
    echo "DONE"
    fi
    WIFI_IFACE_CHANNEL=$(iw dev ${WIFI_IFACE} info | grep channel | awk '{print $2}')
    if [[ -n $WIFI_IFACE_CHANNEL && $WIFI_IFACE_CHANNEL -ne $CHANNEL ]]; then
    echo "hostapd will fail to use channel $CHANNEL because $WIFI_IFACE is already set to channel $WIFI_IFACE_CHANNEL, fallback to channel $WIFI_IFACE_CHANNEL."
    CHANNEL=$WIFI_IFACE_CHANNEL
    fi
    VIRTDIEMSG="Maybe your WiFi adapter does not fully support virtual interfaces.
    Try again with --no-virt."
    echo -n "Creating a virtual WiFi interface... "
    iw dev ${VWIFI_IFACE} del > /dev/null 2>&1
    if iw dev ${WIFI_IFACE} interface add ${VWIFI_IFACE} type __ap; then
    # now we can call networkmanager_wait_until_unmanaged
    networkmanager_is_running && [[ $NM_OLDER_VERSION -eq 0 ]] && networkmanager_wait_until_unmanaged ${VWIFI_IFACE}
    echo "${VWIFI_IFACE} created."
    else
    VWIFI_IFACE=
    die "$VIRTDIEMSG"
    fi
    OLD_MACADDR=$(get_macaddr ${VWIFI_IFACE})
    [[ ${OLD_MACADDR} == $(get_macaddr ${WIFI_IFACE}) ]] && NEW_MACADDR=$(get_new_macaddr ${VWIFI_IFACE})
    WIFI_IFACE=${VWIFI_IFACE}
    fi
    can_transmit_to_channel ${WIFI_IFACE} ${CHANNEL} || die "Your adapter can not transmit to channel ${CHANNEL}."
    if networkmanager_is_running && ! networkmanager_iface_is_unmanaged ${WIFI_IFACE}; then
    echo -n "Network Manager found, set $1 as unmanaged device... "
    networkmanager_add_unmanaged ${WIFI_IFACE}
    networkmanager_wait_until_unmanaged ${WIFI_IFACE}
    echo "DONE"
    fi
    [[ $HIDDEN -eq 1 ]] && echo "Access Point's SSID is hidden!"
    # hostapd config
    cat << EOF > $CONFDIR/hostapd.conf
    ssid=${SSID}
    interface=${WIFI_IFACE}
    driver=${DRIVER}
    hw_mode=g
    channel=${CHANNEL}
    ctrl_interface=$CONFDIR/hostapd_ctrl
    ctrl_interface_group=0
    ignore_broadcast_ssid=$HIDDEN
    EOF
    if [[ $IEEE80211N -eq 1 ]]; then
    cat << EOF >> $CONFDIR/hostapd.conf
    ieee80211n=1
    wmm_enabled=1
    ht_capab=${HT_CAPAB}
    EOF
    fi
    if [[ -n "$PASSPHRASE" ]]; then
    [[ "$WPA_VERSION" == "1+2" || "$WPA_VERSION" == "2+1" ]] && WPA_VERSION=3
    cat << EOF >> $CONFDIR/hostapd.conf
    wpa=${WPA_VERSION}
    wpa_passphrase=$PASSPHRASE
    wpa_key_mgmt=WPA-PSK
    wpa_pairwise=TKIP CCMP
    rsn_pairwise=CCMP
    EOF
    fi
    if [[ "$SHARE_METHOD" == "bridge" ]]; then
    echo "bridge=${BRIDGE_IFACE}" >> $CONFDIR/hostapd.conf
    else
    # dnsmasq config (dhcp + dns)
    DNSMASQ_VER=$(dnsmasq -v | grep -m1 -oE '[0-9]+(\.[0-9]+)*\.[0-9]+')
    version_cmp $DNSMASQ_VER 2.63
    if [[ $? -eq 1 ]]; then
    DNSMASQ_BIND=bind-interfaces
    else
    DNSMASQ_BIND=bind-dynamic
    fi
    cat << EOF > $CONFDIR/dnsmasq.conf
    interface=${WIFI_IFACE}
    ${DNSMASQ_BIND}
    dhcp-range=${GATEWAY%.*}.1,${GATEWAY%.*}.254,255.255.255.0,24h
    dhcp-option=option:router,${GATEWAY}
    EOF
    [[ $ETC_HOSTS -eq 0 ]] && echo no-hosts >> $CONFDIR/dnsmasq.conf
    fi
    # initialize WiFi interface
    if [[ $NO_VIRT -eq 0 && -n "$NEW_MACADDR" ]]; then
    ip link set dev ${WIFI_IFACE} address ${NEW_MACADDR} || die "$VIRTDIEMSG"
    fi
    ip link set down dev ${WIFI_IFACE} || die "$VIRTDIEMSG"
    ip addr flush ${WIFI_IFACE} || die "$VIRTDIEMSG"
    if [[ "$SHARE_METHOD" != "bridge" ]]; then
    ip link set up dev ${WIFI_IFACE} || die "$VIRTDIEMSG"
    ip addr add ${GATEWAY}/24 broadcast ${GATEWAY%.*}.255 dev ${WIFI_IFACE} || die "$VIRTDIEMSG"
    fi
    # enable Internet sharing
    if [[ "$SHARE_METHOD" != "none" ]]; then
    echo "Sharing Internet using method: $SHARE_METHOD"
    if [[ "$SHARE_METHOD" == "nat" ]]; then
    iptables -t nat -I POSTROUTING -o ${INTERNET_IFACE} -j MASQUERADE || die
    iptables -I FORWARD -i ${WIFI_IFACE} -s ${GATEWAY%.*}.0/24 -j ACCEPT || die
    iptables -I FORWARD -i ${INTERNET_IFACE} -d ${GATEWAY%.*}.0/24 -j ACCEPT || die
    echo 1 > /proc/sys/net/ipv4/ip_forward || die
    elif [[ "$SHARE_METHOD" == "bridge" ]]; then
    # disable iptables rules for bridged interfaces
    echo 0 > /proc/sys/net/bridge/bridge-nf-call-iptables || die
    # create and initialize bridged interface
    brctl addbr ${BRIDGE_IFACE} || die
    brctl addif ${BRIDGE_IFACE} ${INTERNET_IFACE} || die
    ip link set dev ${BRIDGE_IFACE} up || die
    fi
    else
    echo "No Internet sharing"
    fi
    # boost low-entropy
    if [[ $(cat /proc/sys/kernel/random/entropy_avail) -lt 1000 ]]; then
    which haveged > /dev/null 2>&1 && {
    haveged -w 1024 -p $CONFDIR/haveged.pid
    fi
    # start dns + dhcp server
    if [[ "$SHARE_METHOD" != "bridge" ]]; then
    iptables -I INPUT -p tcp -m tcp --dport 53 -j ACCEPT || die
    iptables -I INPUT -p udp -m udp --dport 53 -j ACCEPT || die
    iptables -I INPUT -p udp -m udp --dport 67 -j ACCEPT || die
    dnsmasq -C $CONFDIR/dnsmasq.conf -x $CONFDIR/dnsmasq.pid || die
    fi
    # start access point
    echo "hostapd command-line interface: hostapd_cli -p $CONFDIR/hostapd_ctrl"
    # from now on we exit with 0 on SIGINT
    trap "clean_exit" SIGINT
    if ! hostapd $CONFDIR/hostapd.conf; then
    echo -e "\nError: Failed to run hostapd, maybe a program is interfering." >&2
    if networkmanager_is_running; then
    echo "If an error like 'n80211: Could not configure driver mode' was thrown" >&2
    echo "try running the following before starting create_ap:" >&2
    if [[ $NM_OLDER_VERSION -eq 1 ]]; then
    echo " nmcli nm wifi off" >&2
    else
    echo " nmcli r wifi off" >&2
    fi
    echo " rfkill unblock wlan" >&2
    fi
    die
    fi
    clean_exit
    Last edited by OBLiQUE (2014-09-02 20:26:22)

    adam777 wrote:
    Thank, just what I was looking for.
    Unfortunately, it seems that currently my Intel 5300 card (using the iwlwifi driver), does not support AP mode.
    From what I understand, hostapd can be used in bridge mode as well, which should have no compatibility problems.
    Can some one point me in the right direction?
    * EDIT *
    After more attempts, I think I got it wrong and AP mode is indeed required.
    Sorry for the late reply, I didn't noticed your message.. Did you got any errors? I have Intel 6205 and it works.
    Also if you use NetworkManager, then you have to say to NetworkManager to stop using your interface.
    You can do it by editing the /etc/NetworkManager/NetworkManager.conf file and put the following (without the <>):
    [keyfile]
    unmanaged-devices=mac:<interface's mac address here>
    and restart your NetworkManager. Ofcourse after you finish, you have to remove it in order to get your wifi back to working with NetworkManager.

  • Bridge to bridge and bridge to access-point via wireless is it possible.

    here;s my topology i am trying to configure. i have a router whose ethernet is connected to a bridge.this bridge 1 is connected to a bridge 2 via wireless. now i am trying to connect a access-point via wireless to this bridge2. is it possible for bridge 2 to support connectivity to the bridge1 and the access-point both of them via wireless.
    can someone pls help me on this.
    waiting for someone to reply.
    regards
    sebastan

    You can set up each radio in the access point for different functionality. Considering the scenario, this can be done by setting up the SSID for the G radio and another SSID for the A radio. Then, set the role in the radio network parameter for the G radio to access point and for the A radio to the root bridge role.
    ou can prevent unauthorized users from reconfiguring your access point/bridge and viewing configuration information. Typically, you want network administrators to have access to the access point/bridge while you restrict access to users who connect through a terminal or workstation from within the local network.
    To prevent unauthorized access to your access point/bridge, you should configure one of these security features:
    Username and password pairs, which are locally stored on the access point/bridge. These pairs authenticate each user before that user can access the access point/bridge. You can also assign a specific privilege level (read only or read/write) to each username and password pair.
    http://www.cisco.com/en/US/products/ps5861/products_configuration_guide_chapter09186a00804ed6d4.html

  • Bridge to bridge and bridge to access-point is it possible

    here;s my topology i am trying to configure. i have a router whose ethernet is connected to a bridge.this bridge 1 is connected to a bridge 2 via wireless. now i am trying to connect a access-point via wireless to this bridge2. is it possible for bridge 2 to support connectivity to the bridge1 and the access-point both of them via wireless.
    can someone pls help me on this.
    waiting for someone to reply.
    regards

    Take a look at my suggested config below. The first accesspoint will broadcast a SSID for clients and use a different SSID for the bridge. This setup has no 802.1x mechanism yet, but you can add that later. For the topology see PtoPLinkExample.gif posted earlier.
    ----- Accesspoint 1 --------------
    dot11 ssid bridge
    authentication open
    dot11 ssid WiFiNet
    authentication open
    guest-mode
    interface Dot11Radio0
    ssid bridge
    ssid WiFiNet
    ----- Accesspoint 2 --------------
    dot11 ssid bridge
    authentication open
    interface Dot11Radio0
    parent 1
    ssid bridge
    station-role workgroup-bridge
    ----- Accesspoint 3 --------------
    dot11 ssid WiFiNet
    authentication open
    guest-mode
    interface Dot11Radio0
    ssid WiFiNet

  • Bridge CS5 "Floating point support not loaded" Error R6002

    Hi,
    I have been getting this error ever since I got a virus and cleaned it off my computer. Obviously the virus attached itself to the bridge executable file and when it was "fixed" by the antivirus it has corrupted the bridge file.
    I have searched and searched how to fix this error to no avail.
    I have also uninstalled and reinstalled photoshop/bridge without any success too.
    Please can someone tell me how to fix this!

    Have you tried resting the preferences?  Hold down ctrl key and start Bridge.  You will get a reset window with 3 options.  THis file not affected with a reinstall.

  • The mutilple ssid configured on bridge mode access point

    Is it possible to configure mutilple ssid under one dot11 interface when the AP works on bridge mode

    Hi,
    This is Linksys Community Forums and not HP Community Forums. You may want to create a post on HP Forums instead?
    If everyone needs to believe in something, I believe I'll have another beer..

  • Setting up a netgear n300 as wireless bridge/access point with airport extremee

    I just replaced my netgear wireless router with the airport to allow our many devices on the network without knocking each other off and also increase the speed.  But would like to use the netgear as a wireless bridge or access point so that I can still connect my NTFS formatted hard drive to be shared on the network.  Any suggestions would be appreciated.  I can not seem to find my netgear router with 192.168.1.1 as that comes up with another device.  I have tried doing this with a windows laptop in another room but can not seem to make it work.  I am now hooked up directly to the airport thinking i need to do it that way and still no luck. Please help.

    As long as you intend to do this over ethernet it will work.. you cannot easily wireless repeat or bridge to an apple router.. you would need specific hardware to do it.
    What is the exact model of netgear you have?
    The setup method depends on the functionality of the router.. but lets assume it does not have a bridge or WAP mode.
    You use WAN bypass.
    1. Setup the Netgear with IP address in the correct IP range for the rest of the network.. it is hard to talk generalities so lets say the apple is main router and your network is now 10.0.1.x .. then set the Netgear to 10.0.1.250 (apple uses IP 2-200 by default) you can use any value you like outside the DHCP range. Up to the limit which is 254 as long as you keep track of all static IP devices. Apply this setting and power cycle the router.. and you might need to power cycle the computer as well to pick up the new IP.
    2. Turn off the DHCP server in the Netgear. You may lose connection to the netgear now.. do not worry about it.. (this can be combined with one.. if you firstly turn off dhcp before you change the IP.. but whatever is possible.. at some point you will need to change around and if you forget what IP .. you will be in a mess.. so write it on a label and stick on the base of the router.. also without dhcp you will either need to reset router to factory using reset button or use static ip on the computer. )
    3. Plug ethernet from LAN of the main router to LAN of the Netgear. Reboot the whole network is often necessary.
    4. In your computer plugged somewhere in the network.. open browser and go to the address you set.. 10.0.1.250 in my example.
    5. You can then setup the Netgear to do whatever you like.. DIsk access is fine.. wireless is fine.. it just cannot be a router.
    Many many reboots if you get lost. Hit reset and start over.

  • Silly doubt abt access-points and bridges

    hi all i have read cisco doc wherein clients connecting to access-points and also where the cisco access-point is working like a bridge and still clients can connect to it .
    then any specific reason why people generally connect clients to access-points.
    i mean is there any benefit of either method over the other.
    any help and guidance would be really helpful.
    regards
    sushil

    In short, it is preferred to have users connect to access points.... 99% of the time. You can use a wireless bridge (that is associated to an AP) that is connected to a switch/hub to supply network connectivity to wired users off the switch/hub. There are also access points that can be used as a bridge for building point to point connectivity.
    Look at the home users with wireless.... it allows then to move from place to place (as long as there is coverage) without having to be wired in.

  • Bandwith on a Point-to-Multipoint Bridges

    Hello everybody..
    I`m already designing a point-to-multipoint bridging with Aironet 1300. On the central site I have a omnidirectional antenna and on the remote site integrated antenna. The question is: How much bandwith could I get if my topology is 1 central site a 5 remotes sites?
    Does the 54Mbps bandiwith is share between 5 point or does each one could get 54 Mbps.?
    Thanks in advance...

    Hi Edgar,
    Have a look at the following excerpt;
    Point-to-Multipoint Bridging
    In a point-to-multipoint configuration, two or more non-root bridges associate to a root bridge. Up to 17 non-root bridges can associate to a root bridge, but the non-root bridges must share the available bandwidth.
    From this doc;
    Cisco Aironet 1300 Series Outdoor Access Point/ Bridge
    http://www.cisco.com/en/US/products/ps5861/products_configuration_guide_chapter09186a008021e5ca.html#wp1034650
    Hope this helps!
    Rob
    Please remember to rate helpful posts.........

  • Bandwidth requirement for voice calls

    Hi All,
    Need expertise advise on the following concern about voice call.
    1. Bandwidth requirement for video call across all other endpoint(using Polycom / Lifesize end point at their end)
        a)Standard Video
        b)1K HD Video
        c)4K HD Video
    2. Plus can we determine bandwidth required for all the following below:
    a. 1 to 1 VC  end point ( Cisco TP – Cisco TP)
    b. Bridge call  ( Cisco TP to Polycom / Lifesize)
    c. 1 to 1 VC end point ( Cisco TP – Polycom / Lifesize)

    Thanks for the info Wayne. I missed out information about the endpoint.
    Client using CTS 3010.  Acoording to datasheet it says 
    11.9 Mbps (1080p, 30 fps best motion handling), 10.1 Mbps (1080p, 30 fps better motion handling), 8.8 Mbps (1080p, 30 fps good motion handling)
    6.4 Mbps (720p, 30 fps best motion handling), 4.5 Mbps (720p, 30 fps better motion handling), 3.1 Mbps (720p, 30 fps good motion handling)2
    My question is does the bandwidth required for both ways or only one way?
    And I'm aware CTS 3010 doesn't support 4K video.

  • Point to multipoint with AP 1230AG

    Hello,
    I want to do this configuration:
    Site A must be connected to site B and to site C. On the site A there is an AP 1230AG, it's configured in bridge mode in point to multipoint to site B and C in 802.11A.
    On the site B there is an AP 1230AG, it's configured in bridge mode in point to point to the site A in 802.11A, and it's configured in access point in 802.11G for laptops.
    On the site C there is an AP 1230AG, it's configured in bridge mode in point to point to the site A in 802.11A, and it's configured in access point in 802.11G for laptops.
    I believe that it's possible to make bridge and access point on the same AP in point to point , but is it possible in point to multipoint with AP 1230AG?
    Thanks and regards.

    As long as there are dual radios each radio can be configured as both as access point and brdige mode.

  • Authorisation object to the loading point

    Hi, Experts,
          As per the requirement we have configured the Weigh Bridges as loading points  from where the TRUCK empty and Gross weights  can be taken to create the delivery and these loading points were  assigned to multiple shipping points. Again each Shipping point also assigned to multiple loading points.each weigh bridge i.e. the loading point is being operated  by the end user.As the shipping point is assigned to multiple loading points, system  is allowing the user to select any one  of the  loading point assigned to that shipping point.
        Now, my requirement is to restrict the end user to operate one loading point only by providing authorisation object for that loading point. what is the authorisation object for the loading point.
    Regards
    Sam

    the loading point is being operated  by the end user
    Through which transaction code, users are executing this loading point.  I think, the authorization object for this is L_YRD_MTHD
    G. Lakshmipathi

  • Bridge is opening all of my RAW files as jpegs when I import them from iPhoto

    I have set my iPhoto preferences to send my RAW photos as RAW when using an external editor. If I only use ACR, this works fine, but if I want to use CS4 they are all coming over as jpegs and I then have to work w them as jpegs. I have PSE 8 . Do I have to do something before I open CS4 to have them come over in RAW format?

    Not Very familiar with iPhoto but I think you do confuse two approaches for
    your files. If you choose to work from iPhoto it takes the originals but
    when using Bridge it might be an exported version in jpeg.
    If you have PSE 8 with Bridge CS4 I would suggest you make a choice in
    workflow and use Bridge as starting point. You can import your Raw files in
    Bridge using Photodownloader (get photo's from Camera in Bridge) preferable
    use a card reader for this.
    And/or copy the older original Raw files to a new folder.
    You can find the originals that have been imported using iPhoto in the
    picture folder/iphoto library. Click on the icon and with right mouse click
    choose show package content. In this new window you will see a file called
    originals with subfolders. Inhere find the ones you want and copy them to a
    new folder from your choice (either in the picture folder or elsewhere, but
    obvious not in the package window for iPhoto, you won't see them after you
    closed the package content window...)
    Choose copy because in this way your iPhoto library and folder structure
    stays as it is.
    Now point Bridge to the folder with this copied files and let it cache the
    files first (takes some time).
    With this workflow you can manage your Raw files (rate, rename, adding
    metadata and keywords etc.) and develop them in ACR and PSE. If you do want
    to use the album structure from iPhoto you can choose to save your developed
    files either as jpeg or tiff and place them in iPhoto.
    It might be a better workaround because iPhoto is not the best application
    to handle and develop Raw files, you have a lot more options in Bridge and
    PSE
    I have set my iPhoto preferences to send my RAW photos as RAW when using an
    external editor. If I only use ACR, this works fine, but if I want to use CS4
    they are all coming over as jpegs and I then have to work w them as jpegs. I
    have PSE 8 . Do I have to do something before I open CS4 to have them come
    over in RAW format?

Maybe you are looking for

  • Error occurred in deployment step 'add solution' value cannot be null Parameter name: g

    Hi! I have a SharePoint Server 2013 with latest updates. Worflow Manager 1.0 installed and configured correctly. The server has a website, site temblate is Reacods Center. This site is default. On the site I created a blank Document library "TestLib"

  • Mac mini overheat?

    I have a mac mini with an intel core 2 duo 1.83 ghz and 1 gb of ram. Last night I was making a movie as I have done before using imovie 08. After I was done it has to render and all that stuff during this time the motherboard started beeping, so I ch

  • PO Upload through recording

    Hello All, I m writing upload program for PO through recording (SM35). I m facing problem at item level. I have hundred of items to upload. At item level grid there is no button like 'Insert Row'. In actual screen it is done through scroll bars of gr

  • WD Caviar Green 2TB - disappearing drive

    Hi all, I have installed a 2TB WD drive for use as a time machine drive. (expanding from 1TB external) Sometimes the disk displays odd characteristics, such as: • Overnight (last night for example) TM didn't do any further backups after 7.43pm. This

  • How to use netlist of verilog hdl code in hdl interface node

    Hello,      In labview 8.6, hdl node doesnot support verilog. I studied that netlist can be used in hdl interface node. How can I use netlist of verilog hdl code, in hdl interface node. Please clarify Thanks Prashanth